
; ******************************************************************************
; DATA FORMAT
; -----------
;
; [<AppID>]                    - App ID must be less than 6 characters long
; source=<path to file>        - Required for copying (omit if not copying)
; dest=<path to file>          - Required for copying (omit if not copying)
; target=<path to EXE>         - Required if launching app (omit if not launching app)
; params=<cmd line parameters> - Optional (omit if not launching app)
;
; <path to file> = <Path Prefix>:<Path Modifier><File Path>
;
; Example: source=INS:comps\vwpt.exe
;
; Valid Values For <Path Prefix>
; ------------------------------
; AOL - The path to the AOL Install Folder (Default: C:\Program Files\America Online 9.0).
; SHR - The path to the AOLShare folder.
; INS - The path to the folder from which the AOL installer was launched.
; CMN - The path to the Windows "Common Files" folder.
; SYS - The path to the Windows System folder.
; TMP - The path to the Windows Temp folder.
; CAD - The path to the Windows Common Application Data folder.
; REG - Read the path from the registry.
;     - Syntax: REG:{HKLM | HKCU}\<RegKey>,<RegValueToReadPathFrom>:<FileToCopyToPath>
;               <ValueToReadPathFrom> must be of type REG_SZ and be the fully qualified 
;                                     path to the destination folder for <FileToCopyToPath>.
;
; Valid <Path Modifier> Values
; ----------------------------
; "\" - Path is relative to the root of the drive the prefix points to.
' ""  - Path is relative to the path that the prefix points to.
; ******************************************************************************


; **** Core Client Install/Restore Application ****
[comp02]
source=INS:comp02.000
dest=AOL:backup\restore\comp02.000
target=INS:comp02.000

; **** NSIS Converted Install Script ****
[comp03]
target=INS:comp03.000
params=/S

; **** AOL Components ****
; AOL Coach (aka "E-Support")
[cdll]
source=INS:Comps\coach\acpver.dll
dest=AOL:Jiti\acpver.dll
NeedsInstallWithRef=0

[coach]
target=INS:Comps\coach\aolcinst.exe
params=-s
instSpace=1000
footSpace=7500
tempSpace=2000
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1


; **** Third Party Components ****
;*  O C P *
[ocdll]
dest=INS:Comps\ocp\ocpchk.dll
source=INS:Comps\ocp\ocpchk.dll
NeedsInstallWithRef=1

[ocp]
target=INS:Comps\ocp\ocpinst.exe
params=/S /localestr=en-US
instSpace=1000
footSpace=1500
tempSpace=1200
mainTimeoutInSec=60
timeToFirstUpdInSec=60
firstUpdPercent=100
allowKill=1

; Real Player
[rpdll]
source=INS:Comps\rp\RealChk.dll
dest=AOL:Jiti\RealChk.dll
NeedsInstallWithRef=0

[rp]
source=INS:Comps\rp\realpl8.exe
dest=AOL:Jiti\Real.exe
target=INS:Comps\rp\realpl8.exe
params=-s
instSpace=6000
footSpace=17000
tempSpace=17000
mainTimeoutInSec=30
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1


[rp9up]
source=INS:Comps\rp\rp9codec.exe
dest=AOL:Jiti\Real9_codec_upd.exe
target=INS:Comps\rp\rp9codec.exe
instSpace=1024
footSpace=3000
tempSpace=0
mainTimeoutInSec=30
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=0


[rp8up]
source=INS:Comps\rp\real_upd.exe
dest=AOL:Jiti\real_upd.exe
target=AOL:Jiti\real_upd.exe
instSpace=1024
footSpace=3000
tempSpace=0
mainTimeoutInSec=30
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1


; Viewpoint
[vpdll]
source=INS:Comps\vwpt\AOLVPChk.dll
dest=AOL:Jiti\AOLVPChk.dll
NeedsInstallWithRef=0

[vwpt]
source=INS:Comps\vwpt\vwpt.exe
dest=AOL:Jiti\viewpoint.exe
target=INS:Comps\vwpt\vwpt.exe
params=/S
instSpace=4000
footSpace=7500
tempSpace=2000
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1


[vwpt1]
source=INS:Comps\vwpt\AOLTheme.mtx
dest=SHR:Themes\AOLTheme.mtx

; [vwche1]
; source=INS:Comps\vwpt\VMPCache.mtz
; dest=AOL:Jiti\VMPCache.mtz

[vwche]
; source=INS:Comps\vwpt\VPPrePop.exe
; dest=AOL:Jiti\VMP_Cache_Populator.exe
; target=AOL:Jiti\VMP_Cache_Populator.exe
target=INS:Comps\vwpt\VPPrePop.exe
params=VMPCache.mtz -k
instSpace=1024
footSpace=1024
tempSpace=2048

; Generic Flash Installer
[swf6]
target=INS:Comps\flash\FlashAX.exe
params=/Q
instSpace=4200
footSpace=8151
tempSpace=4500
mainTimeoutInSec=20
timeToFirstUpdInSec=60
firstUpdPercent=100
allowKill=0

; Sun Java Runtime Engine
[jre]
target=INS:Comps\jre\jre.exe
params=/s /a /s
instSpace=12000
footSpace=38000
tempSpace=25000
mainTimeoutInSec=30
timeToFirstUpdInSec=70
firstUpdPercent=20
allowKill=1


; Apple QuickTime
[qtdll]
source=INS:Comps\qt\QTInsInf.dll
dest=AOL:Jiti\QTInstallInfo.dll
NeedsInstallWithRef=0

[qtime]
target=INS:Comps\qt\qt.exe
params=-SuppressWarningDialogs
instSpace=0
footSpace=15000
tempSpace=10000
mainTimeoutInSec=60
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1


; Adobe
[acror]
target=INS:Comps\adobe\reader.exe
params=-s -a -s /V"AOLLAUNCH=1 /qn" /SMS
instSpace=14000
footSpace=56000
tempSpace=14000
mainTimeoutInSec=30
timeToFirstUpdInSec=45
firstUpdPercent=10
allowKill=1


[acrdll]
source=INS:Comps\adobe\reader.dll
dest=AOL:Jiti\reader.dll
NeedsInstallWithRef=0

; Anti Spyware
[asp]
target=INS:Comps\asp\aspsetup.exe
params=/s
instSpace=5500
footSpace=7000
tempSpace=0
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1


[aspdll]
source=INS:Comps\asp\aspcheck.dll
dest=AOL:Jiti\aspcheck.dll
NeedsInstallWithRef=0

; ACS
[acs]
source=INS:Comps\acs\AcsSetup.exe
target=INS:Comps\acs\AcsSetup.exe
params=/S /C /P
instSpace=4200
footSpace=8151
tempSpace=2048
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=0

[acsdll]
source=INS:Comps\acs\AcsInstA.dll
dest=CMN:AOL\ACS\AcsInstA.dll

; Deskbar
[deskbr]
target=INS:Comps\deskbar\deskbr.exe
params=/S
instSpace=1000
footSpace=1000
tempSpace=1024
mainTimeoutInSec=30
timeToFirstUpdInSec=45
firstUpdPercent=10
allowKill=1

; IE toolbar
[toolbr]
target=INS:Comps\toolbar\toolbr.exe
params=/S
instSpace=1000
footSpace=1000
tempSpace=1024
mainTimeoutInSec=30
timeToFirstUpdInSec=45
firstUpdPercent=10
allowKill=1

; Symantec ALE for Norton Internet Security
[nisale]
target=INS:comps\fw\nisale.exe
instSpace=500
footSpace=50
tempSpace=500
mainTimeoutInSec=20
timeToFirstUpdInSec=20
firstUpdPercent=100
allowKill=1


; AOL Talkback
[tbdll]
source=INS:Comps\tb\tbinst.dll
dest=INS:Comps\tb\tbinst.dll
NeedsInstallWithRef=1

[tb]
target=INS:Comps\tb\TBSetup.exe
params=/S /REF=
instSpace=500
footSpace=550
tempSpace=0
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1


; AOL TopSpeed
[tsdll]
source=INS:Comps\tpspd\tsverchk.dll
dest=AOL:Jiti\tsverchk.dll
NeedsInstallWithRef=1


[tpspd]
target=INS:Comps\tpspd\TSSetup.exe
params=/S /REFERENCE=
instSpace=400
footSpace=700
tempSpace=0
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1

; AOL Sysinfo
[sidll]
dest=INS:Comps\sysinfo\SiNdInst.dll
source=INS:Comps\sysinfo\SiNdInst.dll
NeedsInstallWithRef=1

[sysinf]
target=INS:Comps\sysinfo\SinfInst.exe
params=/S /localestr=en-US
instSpace=1000
footSpace=1500
tempSpace=1200
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1

; Language pack
[lp]
target=INS:Comps\lp\langpack.exe
params=/S
instSpace=2300
footSpace=5500
tempSpace=1200
mainTimeoutInSec=25
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1

; Port Magic
[pmdll]
source=INS:Comps\port\pmverchk.dll
dest=INS:Comps\port\pmverchk.dll
NeedsInstallWithRef=0

; Port Magic
[port]
target=INS:Comps\port\pmsetup.exe
params=/S
instSpace=0
footSpace=5000
tempSpace=0
mainTimeoutInSec=20
timeToFirstUpdInSec=0
firstUpdPercent=0
allowKill=1

; Art DB
[art]
source=INS:Comps\art\art.idx
